# Uses of Class
javax.swing.plaf.synth.ColorType

Packages that use ColorType
Package
Description
javax.swing.plaf.nimbus
Provides user interface objects built according to the cross-platform Nimbus look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of ColorType in javax.swing.plaf.nimbus

Methods in javax.swing.plaf.nimbus with parameters of type ColorType
Modifier and Type
Method
Description
`protected Color`
NimbusStyle.`getColorForState​(SynthContext ctx, ColorType type)`
Returns the color for the specified state.

## Uses of ColorType in javax.swing.plaf.synth

Fields in javax.swing.plaf.synth declared as ColorType
Modifier and Type
Field
Description
`static ColorType`
ColorType.`BACKGROUND`
ColorType for the background of a region.
`static ColorType`
ColorType.`FOCUS`
ColorType for the focus.
`static ColorType`
ColorType.`FOREGROUND`
ColorType for the foreground of a region.
`static ColorType`
ColorType.`TEXT_BACKGROUND`
ColorType for the background of a region.
`static ColorType`
ColorType.`TEXT_FOREGROUND`
ColorType for the foreground of a region.
Methods in javax.swing.plaf.synth with parameters of type ColorType
Modifier and Type
Method
Description
`Color`
SynthStyle.`getColor​(SynthContext context, ColorType type)`
Returns the color for the specified state.
`protected abstract Color`
SynthStyle.`getColorForState​(SynthContext context, ColorType type)`
Returns the color for the specified state.